import 'package:flutter/material.dart';
import 'package:initial_folder/size_config.dart';
import 'package:initial_folder/theme.dart';
import 'package:styled_text/styled_text.dart';

class MobileBankBNI extends StatelessWidget {
  final TextStyle baris = thirdTextStyle.copyWith(
    fontWeight: reguler,
    fontSize: getProportionateScreenWidth(14),
    letterSpacing: 0.5,
  );
  @override
  Widget build(BuildContext context) {
    return Padding(
      padding:
          EdgeInsets.symmetric(horizontal: getProportionateScreenWidth(12)),
      child: Column(
        crossAxisAlignment: CrossAxisAlignment.start,
        children: [
          StyledText(
            // text: '1. Open the <bold>BNI Mobile Banking</bold> app and login',
            text: "1.  Akses BNI Mobile Banking melalui handphone",
            style: baris,
            tags: {
              'bold': StyledTextTag(style: TextStyle(fontWeight: bold)),
            },
          ),
          Divider(color: Color(0xff2D2D2D), thickness: 0.5, height: 35),
          StyledText(
            // text: '2. Choose menu <bold>Transfer</bold>',
            text: "2. Masukkan User ID dan Password",
            style: baris,
            tags: {
              'bold': StyledTextTag(style: TextStyle(fontWeight: bold)),
            },
          ),
          Divider(color: Color(0xff2D2D2D), thickness: 0.5, height: 35),
          StyledText(
            // text: '3. Choose menu <bold>Virtual Account Billing</bold>',
            text:
                "3. Pilih menu \"Transfer\", lalu pilih \"Antar Rekening BNI\", pilih \"Input Rekening Baru\" ",
            style: baris,
            tags: {
              'bold': StyledTextTag(style: TextStyle(fontWeight: bold)),
            },
          ),
          Divider(color: Color(0xff2D2D2D), thickness: 0.5, height: 35),
          StyledText(
            // text: '4. Choose the bank account you want to use',
            text: "4. Masukkan nomor Virtual Account",
            style: baris,
            tags: {
              'bold': StyledTextTag(style: TextStyle(fontWeight: bold)),
            },
          ),
          Divider(color: Color(0xff2D2D2D), thickness: 0.5, height: 35),
          StyledText(
            // text: '5. Enter the 16 digits <bold>virtual account number</bold>',
            text:
                "5.Di halaman konfirmasi, pastikan data transaksi sudah benar kemudian pilih \"Ya\"",
            style: baris,
            tags: {
              'bold': StyledTextTag(style: TextStyle(fontWeight: bold)),
            },
          ),
          Divider(color: Color(0xff2D2D2D), thickness: 0.5, height: 35),
          StyledText(
            text:
                // '6. The billing information will appear on the payment validation page',
                "6. Masukkan password anda ",
            style: baris,
            tags: {
              'bold': StyledTextTag(style: TextStyle(fontWeight: bold)),
            },
          ),
          SizedBox(height: getProportionateScreenHeight(10)),
        ],
      ),
    );
  }
}

class MobileBankBCA extends StatelessWidget {
  final TextStyle baris = thirdTextStyle.copyWith(
    fontWeight: reguler,
    fontSize: getProportionateScreenWidth(14),
    letterSpacing: 0.5,
  );
  @override
  Widget build(BuildContext context) {
    return Padding(
      padding:
          EdgeInsets.symmetric(horizontal: getProportionateScreenWidth(12)),
      child: Column(
        crossAxisAlignment: CrossAxisAlignment.start,
        children: [
          StyledText(
            // text: '1. Open the <bold>BNI Mobile Banking</bold> app and login',
            text: '1. Lakukan log in pada aplikasi BCA mobile.',
            style: baris,
            tags: {
              'bold': StyledTextTag(style: TextStyle(fontWeight: bold)),
            },
          ),
          Divider(color: Color(0xff2D2D2D), thickness: 0.5, height: 35),
          StyledText(
            // text: '2. Choose menu <bold>Transfer</bold>',
            text: "2. Pilih \"m-BCA\" masukan kode akses m-BCA. ",
            style: baris,
            tags: {
              'bold': StyledTextTag(style: TextStyle(fontWeight: bold)),
            },
          ),
          Divider(color: Color(0xff2D2D2D), thickness: 0.5, height: 35),
          StyledText(
            // text: '3. Choose menu <bold>Virtual Account Billing</bold>',
            text: "3. Pilih \"m-Transfer\" ",
            style: baris,
            tags: {
              'bold': StyledTextTag(style: TextStyle(fontWeight: bold)),
            },
          ),
          Divider(color: Color(0xff2D2D2D), thickness: 0.5, height: 35),
          StyledText(
            // text: '4. Choose the bank account you want to use',
            text: "4. Pilih \"BCA Virtual Account\" ",
            style: baris,
            tags: {
              'bold': StyledTextTag(style: TextStyle(fontWeight: bold)),
            },
          ),
          Divider(color: Color(0xff2D2D2D), thickness: 0.5, height: 35),
          StyledText(
            // text: '4. Choose the bank account you want to use',
            text: "5. Masukkan nomor BCA Virtual Account dan klik \"OK\" ",
            style: baris,
            tags: {
              'bold': StyledTextTag(style: TextStyle(fontWeight: bold)),
            },
          ),
          Divider(color: Color(0xff2D2D2D), thickness: 0.5, height: 35),
          StyledText(
            // text: '4. Choose the bank account you want to use',
            text: "6. Konfirmasi no virtual account dan rekening pendebetan ",
            style: baris,
            tags: {
              'bold': StyledTextTag(style: TextStyle(fontWeight: bold)),
            },
          ),
          Divider(color: Color(0xff2D2D2D), thickness: 0.5, height: 35),
          StyledText(
            // text: '4. Choose the bank account you want to use',
            text:
                "7. Periksa kembalian rincian pembayaran kamu, lalu klik \"Ya\" ",
            style: baris,
            tags: {
              'bold': StyledTextTag(style: TextStyle(fontWeight: bold)),
            },
          ),
          Divider(color: Color(0xff2D2D2D), thickness: 0.5, height: 35),
          StyledText(
            // text: '4. Choose the bank account you want to use',
            text: "8. Masukan pin m-BCA ",
            style: baris,
            tags: {
              'bold': StyledTextTag(style: TextStyle(fontWeight: bold)),
            },
          ),
          SizedBox(height: getProportionateScreenHeight(10)),
        ],
      ),
    );
  }
}

class MobileBankMandiri extends StatelessWidget {
  final TextStyle baris = thirdTextStyle.copyWith(
    fontWeight: reguler,
    fontSize: getProportionateScreenWidth(14),
    letterSpacing: 0.5,
  );
  @override
  Widget build(BuildContext context) {
    return Padding(
      padding:
          EdgeInsets.symmetric(horizontal: getProportionateScreenWidth(12)),
      child: Column(
        crossAxisAlignment: CrossAxisAlignment.start,
        children: [
          StyledText(
            // text: '1. Open the <bold>BNI Mobile Banking</bold> app and login',
            text: '1. Lakukan Login ke Mandiri Online kamu',
            style: baris,
            tags: {
              'bold': StyledTextTag(style: TextStyle(fontWeight: bold)),
            },
          ),
          Divider(color: Color(0xff2D2D2D), thickness: 0.5, height: 35),
          StyledText(
            // text: '2. Choose menu <bold>Transfer</bold>',
            text: "2. Pada menu utama, pilih menu \"Bayar\"",
            style: baris,
            tags: {
              'bold': StyledTextTag(style: TextStyle(fontWeight: bold)),
            },
          ),
          Divider(color: Color(0xff2D2D2D), thickness: 0.5, height: 35),
          StyledText(
            // text: '3. Choose menu <bold>Virtual Account Billing</bold>',
            text: "3. Lalu pilih menu \"Multi Payment\" ",
            style: baris,
            tags: {
              'bold': StyledTextTag(style: TextStyle(fontWeight: bold)),
            },
          ),
          Divider(color: Color(0xff2D2D2D), thickness: 0.5, height: 35),
          StyledText(
            // text: '4. Choose the bank account you want to use',
            text: "4. kemudian pilih Penyedia Jasa ",
            style: baris,
            tags: {
              'bold': StyledTextTag(style: TextStyle(fontWeight: bold)),
            },
          ),
          Divider(color: Color(0xff2D2D2D), thickness: 0.5, height: 35),
          StyledText(
            // text: '4. Choose the bank account you want to use',
            text:
                "5. Masukkan kode pembayaran [Kode pembayaran Mandiri billpayment], dan klik \"Lanjutkan\" ",
            style: baris,
            tags: {
              'bold': StyledTextTag(style: TextStyle(fontWeight: bold)),
            },
          ),
          Divider(color: Color(0xff2D2D2D), thickness: 0.5, height: 35),
          StyledText(
            // text: '4. Choose the bank account you want to use',
            text:
                "6. Periksa kembali data transaksi kamu dan selesaikan proses pembayaran ",
            style: baris,
            tags: {
              'bold': StyledTextTag(style: TextStyle(fontWeight: bold)),
            },
          ),
          SizedBox(height: getProportionateScreenHeight(10)),
        ],
      ),
    );
  }
}

class MobileBankPermata extends StatelessWidget {
  final TextStyle baris = thirdTextStyle.copyWith(
    fontWeight: reguler,
    fontSize: getProportionateScreenWidth(14),
    letterSpacing: 0.5,
  );
  @override
  Widget build(BuildContext context) {
    return Padding(
      padding:
          EdgeInsets.symmetric(horizontal: getProportionateScreenWidth(12)),
      child: Column(
        crossAxisAlignment: CrossAxisAlignment.start,
        children: [
          StyledText(
            // text: '1. Open the <bold>BNI Mobile Banking</bold> app and login',
            text: '1. Buka aplikasi PermataMobile X',
            style: baris,
            tags: {
              'bold': StyledTextTag(style: TextStyle(fontWeight: bold)),
            },
          ),
          Divider(color: Color(0xff2D2D2D), thickness: 0.5, height: 35),
          StyledText(
            // text: '2. Choose menu <bold>Transfer</bold>',
            text: "2. Masukan Password ",
            style: baris,
            tags: {
              'bold': StyledTextTag(style: TextStyle(fontWeight: bold)),
            },
          ),
          Divider(color: Color(0xff2D2D2D), thickness: 0.5, height: 35),
          StyledText(
            // text: '3. Choose menu <bold>Virtual Account Billing</bold>',
            text: "3. Pilih Pembayaran Tagihan ",
            style: baris,
            tags: {
              'bold': StyledTextTag(style: TextStyle(fontWeight: bold)),
            },
          ),
          Divider(color: Color(0xff2D2D2D), thickness: 0.5, height: 35),
          StyledText(
            // text: '4. Choose the bank account you want to use',
            text: "4. Pilih Virtual Account ",
            style: baris,
            tags: {
              'bold': StyledTextTag(style: TextStyle(fontWeight: bold)),
            },
          ),
          Divider(color: Color(0xff2D2D2D), thickness: 0.5, height: 35),
          StyledText(
            // text: '4. Choose the bank account you want to use',
            text: "5. Masukan Nomor Virtual Account ",
            style: baris,
            tags: {
              'bold': StyledTextTag(style: TextStyle(fontWeight: bold)),
            },
          ),
          Divider(color: Color(0xff2D2D2D), thickness: 0.5, height: 35),
          StyledText(
            // text: '4. Choose the bank account you want to use',
            text: "6. Pilih Rekening",
            style: baris,
            tags: {
              'bold': StyledTextTag(style: TextStyle(fontWeight: bold)),
            },
          ),
          Divider(color: Color(0xff2D2D2D), thickness: 0.5, height: 35),
          StyledText(
            // text: '4. Choose the bank account you want to use',
            text: "7. Masukkan nominal pembayaran ",
            style: baris,
            tags: {
              'bold': StyledTextTag(style: TextStyle(fontWeight: bold)),
            },
          ),
          Divider(color: Color(0xff2D2D2D), thickness: 0.5, height: 35),
          StyledText(
            // text: '4. Choose the bank account you want to use',
            text: "8. Muncul konfirmasi pembayaran ",
            style: baris,
            tags: {
              'bold': StyledTextTag(style: TextStyle(fontWeight: bold)),
            },
          ),
          Divider(color: Color(0xff2D2D2D), thickness: 0.5, height: 35),
          StyledText(
            // text: '4. Choose the bank account you want to use',
            text: "9. Masukan Mobile PIN",
            style: baris,
            tags: {
              'bold': StyledTextTag(style: TextStyle(fontWeight: bold)),
            },
          ),
          SizedBox(height: getProportionateScreenHeight(10)),
        ],
      ),
    );
  }
}
